<?php
//Defaults
error_reporting(E_ALL);
//ini_set("display_errors","1");
ini_set("max_execution_time","300");
define('VERSION','2.1.0');
// End defaults
@session_start();

// Helper classes
require_once("Utils.class.php");
require_once('Setup.class.php');
require_once('Update.class.php');
$gSetupObj = new Setup();
$gUpdateObj = new Update();

if (!$gSetupObj->configOutDated()) {
	require_once('Settings.class.php');
	if (Settings::isPrivate() && ($_SERVER["PHP_AUTH_USER"] != Settings::getPrivateModusUsername() || $_SERVER["PHP_AUTH_PW"] != Settings::getPrivateModusPassword())) {
		header("WWW-Authenticate: Basic realm=\"Enter username and password to proceed\"");
    	header("HTTP/1.0 401 Unauthorized");
    	echo "<h1>Authentication failed</h1>Dreambox is running in private modus.";
		exit;
	}

	// Dreambox part
	require_once("Dreambox.class.php");
	require_once("Boutique.class.php");
	require_once("Channel.class.php");
	require_once("ProgramGuide.class.php");
	require_once("Program.class.php");
	require_once("Recording.class.php");
	require_once("MediaInfo.class.php");
	require_once("Movie.class.php");
	
	// Server part
	require_once("VLCServer.class.php");
	$lDreamBoxObj = new Dreambox();
}
// XAJAX Framework part
include_once("Ajax.class.php");
require("xajax/xajax_core/xajax.inc.php");
$xajax = new xajax();

if (!$gSetupObj->configOutDated() && Settings::getDebug()) {
	require_once("Debug.class.php");
	$gDebugObj = new Debug();
	$xajax->configure('debug',true);
}

$xajax->configure('javascript URI','xajax');
$xajax->register(XAJAX_FUNCTION,'action');
$xajax->processRequest();

if (!$gSetupObj->configOutDated() && (Utils::isMobileDevice() || (isset($_GET["mobile"]) && $_GET["mobile"] == 1))) {
	require_once("index-mobile.php");
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title><?php echo (!$gSetupObj->configOutDated() ? Settings::getDreamboxName() . " - " . Settings::getProgramName() : "Dreambox ReStream Setup" ) . " (" . VERSION . ")"; ?></title>
  <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
  <meta name="author" content="Joshua (TheYOSH) Rubingh"/>
  <meta name="copyright" content="2008 - <?php echo date("Y") ?> TheYOSH" />
  <meta name="keywords" content="Restream video from a Dreambox Satelite receiver" />
  <meta name="description" content="Restream video from a Dreambox Satelite receiver" />
  <link rel="shortcut icon" href="favicon.ico" type="image/x-icon" />
  <?php $xajax->printJavascript(); // XAJAX part 2 ?>
  <script type="text/javascript" src="js/jquery-1.7.2.min.js"></script>
  <script type="text/javascript" src="js/jquery-ui-1.8.21.custom.min.js"></script>
  <script type="text/javascript" src="js/jquery.scrollTo-1.4.2-min.js"></script>
  <script type="text/javascript" src="jwplayer/jwplayer.js" ></script>
  <script type="text/javascript" src="js/javascript.js" ></script>
  <link rel="stylesheet" type="text/css" media="screen" href="css/dot-luv/jquery-ui-1.8.21.custom.css" />
  <link rel="stylesheet" type="text/css" media="screen" href="css/style.css" />
</head>
<body>
<?php
if ($gUpdateObj->updateAvailable()) {
	echo '<div id="updateAvailable" class="separator">There is an update available of ' . Settings::getProgramName() . '. Click here to <a href="javascript:void(0);" onclick="startUpdate()" title="Update ' . Settings::getProgramName() . ' to version ' . $gUpdateObj->getLatestUpdateVersion() . '">update to the latest version ' . $gUpdateObj->getLatestUpdateVersion() . '</a><span style="float:right; height: 20px; width:20px; display:block;"><a href="javascript:void(0);" onclick="jQuery(\'#updateAvailable\').hide();" title="Close">X</a></span></div>';
}
?>
<div id="wrapper">
	<h1><script type="text/javascript">document.write(document.title)</script></h1>
	<div id="ReStreamUI">
		<div id="PlayerWrapper">
			<div id="ReStreamPlayer">
				<?php if ($gSetupObj->configOutDated()) { ?>
				<h2>Setup</h2>
				<p>Dreambox ReStream needs to be setup. Fill in the form and press write config. This will write the configuration to disk and reload the page</p>
				<?php
					$lErrorMessages = $gSetupObj->checkWriteSettings();
					if (count($lErrorMessages) > 0) {
						echo '<br /><span class="error">' . implode('<br />',$lErrorMessages). '</span>';
					}
				?>
				<form class="setup" id="setup">
					<table>
						<tr>
							<td>
								<h3>Required</h3>
								<label for="dreamboxName">Dreambox Name</label><input type="text" name="dreamboxName" value="<?php echo $gSetupObj->getVariable('dreamboxName'); ?>"/><br />
								<label for="dreamboxIP">Dreambox IP number</label><input type="text" name="dreamboxIP" value="<?php echo $gSetupObj->getVariable('dreamboxIP'); ?>"/><br />
								<label for="dreamboxWebPort">Dreambox Webport</label><input type="text" name="dreamboxWebPort" value="<?php echo $gSetupObj->getVariable('dreamboxWebPort'); ?>" /><br />
								<label for="dreamboxEnigmaVersion">Dreambox Type</label><select name="dreamboxEnigmaVersion"><?php foreach($gSetupObj->getVariable('dreamboxEnigmaVersion') as $lType) echo '<option value="' . $lType . '">' . $lType . '</option>' ?></select><br />
								<label for="dreamboxDualTuner">Dreambox Dual Tuner</label><input type="radio" name="dreamboxDualTuner" value="1" <?php if ($gSetupObj->getVariable('dreamboxDualTuner')) echo 'checked="checked"' ?> />Yes - <input type="radio" name="dreamboxDualTuner" value="0" <?php if (!$gSetupObj->getVariable('dreamboxDualTuner')) echo 'checked="checked"' ?> />No<br />
								<label for="vlcLocation">VLC Executable</label><input type="text" name="vlcLocation" value="<?php echo $gSetupObj->getVariable('vlcLocation'); ?>"/><br />
								<label for="vlcIP">VLC IP Number</label><select name="vlcIP"><?php foreach($gSetupObj->getVariable('vlcIP') as $lIP) echo '<option value="' . $lIP . '">' . $lIP . '</option>' ?></select><br />
								<label for="vlcLanStreamPort">VLC Port Number</label><input type="text" name="vlcLanStreamPort" value="<?php echo $gSetupObj->getVariable('vlcLanStreamPort'); ?>"/><br />
							</td>
							<td>
								<h3>Optional</h3>
								<label for="dreamboxUserName">Dreambox User Name</label><input type="text" name="dreamboxUserName" value="<?php echo $gSetupObj->getVariable('dreamboxUserName'); ?>"/><br />
								<label for="dreamboxPassword">Dreambox User Password</label><input type="text" name="dreamboxPassword" value="<?php echo $gSetupObj->getVariable('dreamboxPassword'); ?>"/><br />
								<label for="privateModusUsername">Private User Name</label><input type="text" name="privateModusUsername" value="<?php echo $gSetupObj->getVariable('privateModusUsername'); ?>"/><br />
								<label for="privateModusPassword">Private User Password</label><input type="text" name="privateModusPassword" value="<?php echo $gSetupObj->getVariable('privateModusPassword'); ?>"/><br />
								<label for="moviesPath">Movies folder</label><input type="text" name="moviesPath" value="<?php echo $gSetupObj->getVariable('moviesPath'); ?>"/><br />
								<label for="vlcAudioLanguage">Audio languages</label><input type="text" name="vlcAudioLanguage" value="<?php echo $gSetupObj->getVariable('vlcAudioLanguage'); ?>"/><br />
								<label for="vlcSubtitleLanguage">Subtitle languages</label><input type="text" name="vlcSubtitleLanguage" value="<?php echo $gSetupObj->getVariable('vlcSubtitleLanguage'); ?>"/><br />
								<label for="mediaInfoLocation">MediaInfo</label><input type="text" name="mediaInfoLocation" value="<?php echo $gSetupObj->getVariable('mediaInfoLocation'); ?>" /><br />
							</td>
						</tr>
					</table>
					<input type="button" onclick="xajax_action('updateConfig',xajax.getFormValues('setup'))" value="Write config" style="margin: 50px 50%;"/>
				</form>
				<?php } ?>
			</div>
			<div id="loading"></div>
			<div id="ProgramInfo"><span class="Channel" id="watchChannel">[Channel]</span><strong>[Program]</strong><br />Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam turpis tellus, vehicula sit amet consequat vitae, convallis at arcu. Donec rhoncus velit at enim iaculis euismod. Integer interdum tortor facilisis libero pharetra accumsan. Duis vitae viverra sapien.</div>
			<div id="ProgramProgress"></div>
			<div id="VLCStatus"></div>
		</div>
		<div id="ProgramGuide">
			<div id="List">
				<h3><a href="#">Boutiques</a></h3>
				<div style="text-align:center;padding: 10px;">Loading....</div>
				<h3><a href="#">&nbsp;</a></h3>
			</div>
		</div>
	</div>
	<div id="errorLog"></div>
</div>
<div id="message" title="Message..."></div>
</body>
</html>